
%dr=-1;

%fram4_exam_P7: examples of tight frames from four channel filter bank
 %



n11=128;%input('length of signal; 0--former ?')

if n11~=0
n=n11
end
ll=1;
J=log2(n);
Par=[2:4 60:20:120];
%Par=[1 5 :8];
figure;
for mm=1:7
IND=[4,Par(mm),0];
    [Leo, FLeo]=fram4_lev_P(IND,n);


eval(['subplot(7,2,' int2str(2*mm-1) ')'])
for kk=1:4
a=Leo(kk,:);
plot(a,'LineWidth',2);
hold on
end
hold off

axis([5,n-10, -.5,.75])
set(gca,'XTick',[ n/2 ])
set(gca,'XTickLabel',{})
 set(gca,'Fontsize',1)
set(gca,'YTick',0)
set(gca,'YTickLabel',{})
 set(gca,'Fontsize',1)

eval(['subplot(7,2,' int2str(2*mm)  ')'])
FLE4_P(FLeo,n)
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Copyright (c) 2012. Valery A. Zheludev

